Object Storage
All operations require authentication.
List bucketsProduction
Returns the buckets of the project.
Path parameters
Project ID
Headers
Pagination cursor
Pagination size
Response
Computed hash representing the current target specification value
Creation date of the bucket
Current observed state of the bucket
Ongoing asynchronous tasks related to the bucket
Bucket name (used as unique identifier)
Bucket readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the bucket
Last update date of the bucket
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ object/ bucket \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "encryption": { "algorithm": "AES256" }, "location": { "region": "string" }, "name": "string", "objectLock": { "mode": "COMPLIANCE", "retentionDays": 0, "retentionYears": 0, "status": "DISABLED" }, "objectsCount": 0, "objectsSize": 0, "tags": { "key": "string" }, "versioning": { "status": "DISABLED" }, "virtualHost": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "encryption": { "algorithm": "AES256" }, "location": { "region": "string" }, "name": "string", "objectLock": { "mode": "COMPLIANCE", "retentionDays": 0, "retentionYears": 0, "status": "DISABLED" }, "ownerUserId": "string", "tags": { "key": "string" }, "versioning": { "status": "DISABLED" } }, "updatedAt": "2024-01-01T12:00:00Z" }]
Create a bucketProduction
Creates a bucket in a region. Versioning, encryption, object lock and tags can be set at creation.
Path parameters
Project ID
Request body (required)
Desired target specification for the bucket to create
Response
Computed hash representing the current target specification value
Creation date of the bucket
Current observed state of the bucket
Ongoing asynchronous tasks related to the bucket
Bucket name (used as unique identifier)
Bucket readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the bucket
Last update date of the bucket
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ object/ bucket \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "encryption": { "algorithm": "AES256" }, "location": { "region": "string" }, "name": "string", "objectLock": { "mode": "COMPLIANCE", "retentionDays": 0, "retentionYears": 0, "status": "DISABLED" }, "objectsCount": 0, "objectsSize": 0, "tags": { "key": "string" }, "versioning": { "status": "DISABLED" }, "virtualHost": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "encryption": { "algorithm": "AES256" }, "location": { "region": "string" }, "name": "string", "objectLock": { "mode": "COMPLIANCE", "retentionDays": 0, "retentionYears": 0, "status": "DISABLED" }, "ownerUserId": "string", "tags": { "key": "string" }, "versioning": { "status": "DISABLED" } }, "updatedAt": "2024-01-01T12:00:00Z"}
Get a bucketProduction
Returns the bucket configuration and its current state.
Path parameters
Bucket name
Project ID
Response
Computed hash representing the current target specification value
Creation date of the bucket
Current observed state of the bucket
Ongoing asynchronous tasks related to the bucket
Bucket name (used as unique identifier)
Bucket readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the bucket
Last update date of the bucket
Example uses bucketName = string, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ object/ bucket/ {bucketName} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "encryption": { "algorithm": "AES256" }, "location": { "region": "string" }, "name": "string", "objectLock": { "mode": "COMPLIANCE", "retentionDays": 0, "retentionYears": 0, "status": "DISABLED" }, "objectsCount": 0, "objectsSize": 0, "tags": { "key": "string" }, "versioning": { "status": "DISABLED" }, "virtualHost": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "encryption": { "algorithm": "AES256" }, "location": { "region": "string" }, "name": "string", "objectLock": { "mode": "COMPLIANCE", "retentionDays": 0, "retentionYears": 0, "status": "DISABLED" }, "ownerUserId": "string", "tags": { "key": "string" }, "versioning": { "status": "DISABLED" } }, "updatedAt": "2024-01-01T12:00:00Z"}
Update a bucketProduction
Updates the bucket configuration. Send the current checksum to prevent overwriting a concurrent change. Without it, the last write wins.
Path parameters
Bucket name
Project ID
Request body (required)
Optional concurrency-control checksum. When supplied, it must match the resource's current checksum or the request is rejected with a 409 checksum-mismatch conflict. When omitted or empty, the concurrency check is skipped and the write is forced (last-write-wins).
Desired target specification for the bucket
Response
Computed hash representing the current target specification value
Creation date of the bucket
Current observed state of the bucket
Ongoing asynchronous tasks related to the bucket
Bucket name (used as unique identifier)
Bucket readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the bucket
Last update date of the bucket
Example uses bucketName = string, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ object/ bucket/ {bucketName} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "encryption": { "algorithm": "AES256" }, "location": { "region": "string" }, "name": "string", "objectLock": { "mode": "COMPLIANCE", "retentionDays": 0, "retentionYears": 0, "status": "DISABLED" }, "objectsCount": 0, "objectsSize": 0, "tags": { "key": "string" }, "versioning": { "status": "DISABLED" }, "virtualHost": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "encryption": { "algorithm": "AES256" }, "location": { "region": "string" }, "name": "string", "objectLock": { "mode": "COMPLIANCE", "retentionDays": 0, "retentionYears": 0, "status": "DISABLED" }, "ownerUserId": "string", "tags": { "key": "string" }, "versioning": { "status": "DISABLED" } }, "updatedAt": "2024-01-01T12:00:00Z"}
Delete a bucketProduction
Deletes the bucket.
Path parameters
Bucket name
Project ID
Response
Computed hash representing the current target specification value
Creation date of the bucket
Current observed state of the bucket
Ongoing asynchronous tasks related to the bucket
Bucket name (used as unique identifier)
Bucket readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the bucket
Last update date of the bucket
Example uses bucketName = string, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ object/ bucket/ {bucketName} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "encryption": { "algorithm": "AES256" }, "location": { "region": "string" }, "name": "string", "objectLock": { "mode": "COMPLIANCE", "retentionDays": 0, "retentionYears": 0, "status": "DISABLED" }, "objectsCount": 0, "objectsSize": 0, "tags": { "key": "string" }, "versioning": { "status": "DISABLED" }, "virtualHost": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "encryption": { "algorithm": "AES256" }, "location": { "region": "string" }, "name": "string", "objectLock": { "mode": "COMPLIANCE", "retentionDays": 0, "retentionYears": 0, "status": "DISABLED" }, "ownerUserId": "string", "tags": { "key": "string" }, "versioning": { "status": "DISABLED" } }, "updatedAt": "2024-01-01T12:00:00Z"}